/**
 * @author prat@cines.fr
 * last maj : 2010/08/02
 * */

package fr.cines.pac.formatValidator;

import java.io.File;

import fr.cines.pac.formatValidator.exception.FormatValidatorException;

/**
 * Classe permettant la validation des fichiers au format MPEG4
 */

public class Mpeg4Validator extends VideoValidator {

	public void init(File file) throws FormatValidatorException{
		super.init(file);
		this.getToolsMgr().getMEncoder().addAuthorizedAudioErrors("DECAUDIO: FAAD: compressed input bitrate missing, assuming 128kbit/s!");
		this.getToolsMgr().getMEncoder().setSpecVideo("[h264 @");	
	}
}