package fr.cines.pac.formatValidator.tools;

import java.io.IOException;
import java.io.InputStream;

import org.apache.log4j.Logger;

public class ThreadStreamReader extends Thread {

	
	private static Logger logger = Logger.getLogger(ThreadStreamReader.class);
	private StringBuilder build;
	private InputStream istream;

	public ThreadStreamReader(InputStream istream) {
		build=new StringBuilder();
		this.istream = istream;
	}

	@Override
	public void run() {
		try {
			char c = (char) istream.read();
			try {
				while(c != (char) -1) {
					build.append(c);
					c = (char) istream.read();
				}
			}
			finally {
				istream.close();
			}
		} catch(IOException ioe) {
			logger.error("MPLAYERValidator.initFile", ioe);
		}
	}
	
	public String getSortie() {
		return build.toString();
	}
}
