/**
 * @author prat@cines.fr
 * last maj : 2010/08/02
 * */

package fr.cines.pac.format;

import java.util.ArrayList;

import fr.cines.pac.formatValidator.util.MyElement;
import org.jdom.*;

public class FormatAllow {

	/** balise designant le format */
	public static String E_FORMAT 	 ="format";
	
	/** nom de la balise designant l'encodage 1 du format */
	public static String E_ENCODING1 ="encoding1";
	
	/** nom de la balise designant l'encodage 2 du format */
	public static String E_ENCODING2 ="encoding2";
	
	/** nom de la balise designant la version du format */
	public static String E_VERSION   ="version";
	
	private Element e;
	ArrayList<String> format,  encoding1, encoding2, version;
		
	public FormatAllow(){
		this.format 	= new ArrayList<String> ();
		this.encoding1	= new ArrayList<String> ();
		this.encoding2	= new ArrayList<String> ();
		this.version	= new ArrayList<String> ();
	}
	
	public FormatAllow(Element e){
		this();
		this.e = e;
		this.getFormat().addAll(MyElement.getChildrenValue(e,E_FORMAT));
		this.getEncoding1().addAll(MyElement.getChildrenValue(e,E_ENCODING1));
		this.getEncoding2().addAll(MyElement.getChildrenValue(e,E_ENCODING2));
		this.getVersion().addAll(MyElement.getChildrenValue(e,E_VERSION));
	}
	
	/**
	 * @return the format
	 */
	public ArrayList<String> getFormat() {
		return format;
	}
	
	public Element getElement(){
		return this.e;
	}
	
	/**
	 * @return the encoding1
	 */
	public ArrayList<String> getEncoding1() {
		return encoding1;
	}

	/**
	 * @return the encoding2
	 */
	public ArrayList<String> getEncoding2() {
		return encoding2;
	}
	
	/**
	 * @return the version
	 */
	public ArrayList<String> getVersion() {
		return version;
	}
}