/**
 * @author prat@cines.fr
 * last maj : 2010/08/02
 * */

package fr.cines.pac.formatValidator;

import java.io.File;

import fr.cines.pac.formatValidator.exception.FormatValidatorException;

/**
 * Classe permettant la validation des fichiers au format "Theora"
 * Containers : OGG
 * Audio : Vorbis ou rien
 * Vidéo : Théora
 */
public class OGGValidator extends VideoValidator {

	public void init(File file) throws FormatValidatorException{
		super.init(file);
		this.getToolsMgr().getMEncoder().addAuthorizedVideoErrors("DECVIDEO: Could not open codec.");
	}
}