package fr.cines.pac.formatValidator.tools;

import org.apache.log4j.Logger;
import org.jdom.Element;

public class MediaInfoTrackXmlElementold {

	Logger logger = Logger.getLogger(getClass().getSimpleName());
	Element e;
	
	String format, formatProfil, formatInfo;;
	
	public MediaInfoTrackXmlElementold(Element e) {
		this.e = e;
		this.format = this.getMetaData("Format");
		this.formatProfil = this.getMetaData("Format_profile");
		this.formatInfo = this.getMetaData("Format_Info");
		if(this.format!=null){
		logger.debug("read result : Format="+this.format);
		}else{
			logger.warn("unable to read Format : show result : "+e.getContent());
		}
	}
		
	/**
	 * @return format
	 */
	public String getFormat() {
		return format;
	}

	/**
	 * @return formatProfil
	 */
	public String getFormatProfil() {
		return formatProfil;
	}

	/**
	 * @return the formatInfo
	 */
	public String getFormatInfo() {
		return formatInfo;
	}
	
	public String getMetaData(String name){
		try{
		return e.getChild(name).getValue().trim();
		}catch(Exception e){
			logger.debug("unable to read metada named :"+name);
			return "NA";
		}
	}
}