package fr.cines.pac.formatValidator.util;

import java.util.ArrayList;
import java.util.List;

import org.jdom.Element;

public class MyElement {

	@SuppressWarnings("unchecked")
	public static ArrayList<String> getChildrenValue(Element e, String child){
		List<Element> l = e.getChildren(child);
		ArrayList<String> out = new ArrayList();
		for(Element el :  l){
			out.add(getValue(el));
		}
		return out;
	}
	
	public static String getValue(Element e){
		try{
			return e.getValue().trim();
		}catch(Exception ex){
			return "";
		}
	}
	
	public static String getValue(Element e, String defaultString){
		try{
			return e.getValue().trim();
		}catch(Exception ex){
			return defaultString;
		}
	}
}
